<?php
/*
 * social media hyper links custom option
 *
 * @threadz
 *
 * Admin Options for Theme 
 * File Name: theme-options.php
 */
 
$threadz_theme_options = array(
    'facebook_url' => '',
    'twitter_url'  => '',
    'gplus_url'    => '',
    'linked_url'   => '',
    'digg_url'     => '',
    'stumble_url'      => '',
    'deli_url'         => '',
    'youtube_url'      => '',
    'vimeo_url'        => '',
    'pinterest_url'    => '',
    'tumblr_url'       => '',
    'threadz_email'    => '',
    'threadz_credits'  => '',
    'threadz_new_text' => ''
);

add_action( 'admin_menu', 'threadz_options_add_page' ); 
//add theme options page( $page_title, $menu_title, $capability, $menu_slug, $function );
function threadz_options_add_page() {
    add_theme_page( 'Theme Options', 'Theme Options', 'edit_theme_options', 'threadz-options', 'threadz_options_page' );
    }

// connect stylesheet to options page
function threadz_add_init() {
    wp_enqueue_style( 'threadz-admin-style', get_template_directory_uri() . '/include/admin-style.css', false, '1.1' );
    }
add_action( 'admin_enqueue_scripts', 'threadz_add_init' );

function threadz_register_settings() {
        register_setting( 'threadz_options', 'threadz_theme_options', 'threadz_validate_options');
    } 
    add_action( 'admin_init', 'threadz_register_settings' );
    
function threadz_options_page() {
   global $threadz_theme_options;
?>
<div id="wrap">
    <section id="threadz-options-container">
        <header>
        <h1> Options Page </h1> 
<?php if( isset($_GET['settings-updated']) && $_GET['settings-updated'] == true) : ?>
	<div class="updated below-h1">
		<p>Settings saved!</p>
	</div>
<?php endif;?>
        <h2>Threadz Theme Options Settings</h2>
            <h3>Options for social networking and footer theme options.</h3>
        </header>
            <form action="options.php" method="POST">
            <?php $options = get_option( 'threadz_theme_options', $threadz_theme_options ); ?>
            <?php settings_fields( 'threadz_options' ); ?>
            <hr>
                <table class="threadz-options-table"><tr><td><h4>Add Your Social Media Links Here</h4></td></tr>
<tr><td><label>Facebook Link </label> 
<input type="text" name="threadz_theme_options[facebook_url]" id="facebook_url" size="40" 
value="<?php if (!empty($options['facebook_url'])) echo $options['facebook_url']; ?>" /></td</tr>

<tr><td><label>Twitter Username </label> 
<input type="text" name="threadz_theme_options[twitter_url]" id="twitter_url" size="40" 
value="<?php if (!empty($options['twitter_url'])) echo $options['twitter_url']; ?>" /></td></tr>

<tr><td><label>Google Plus</label> 
<input type="text" name="threadz_theme_options[gplus_url]" id="gplus_url" size="40" 
value="<?php if (!empty($options['gplus_url'])) echo $options['gplus_url']; ?>" /></td></tr>

<tr><td><label>LinkedIn</label> 
<input type="text" name="threadz_theme_options[linked_url]" id="linked_url" size="40" 
value="<?php if (!empty($options['linked_url'])) echo $options['linked_url']; ?>" /></td></tr>

<tr><td><label>Digg</label> 
<input type="text" name="threadz_theme_options[digg_url]" id="digg_url" size="40" 
value="<?php if (!empty($options['digg_url'])) echo $options['digg_url']; ?>" /></td></tr>

<tr><td><label>StumbleUpon</label> 
<input type="text" name="threadz_theme_options[stumble_url]" id="stumble_url" size="40" 
value="<?php if (!empty($options['stumble_url'])) echo $options['stumble_url']; ?>" /></td></tr>

<tr><td><label>Delicious</label> 
<input type="text" name="threadz_theme_options[deli_url]" id="deli_url" size="40" 
value="<?php if (!empty($options['deli_url'])) echo $options['deli_url']; ?>" /></td></tr>

<tr><td><label>Youtube Feed</label> 
<input type="text" name="threadz_theme_options[youtube_url]" id="youtube_url" size="40" 
value="<?php if (!empty($options['youtube_url'])) echo $options['youtube_url']; ?>" /></td></tr>

<tr><td><label>Vimeo</label> 
<input type="text" name="threadz_theme_options[vimeo_url]" id="vimeo_url" size="40" 
value="<?php if (!empty($options['vimeo_url'])) echo $options['vimeo_url']; ?>" /></td></tr>

<tr><td><label>Pinterest</label> 
<input type="text" name="threadz_theme_options[pinterest_url]" id="pinterest_url" size="40" 
value="<?php if (!empty($options['pinterest_url'])) echo $options['pinterest_url']; ?>" /></td></tr>
<tr><td><label>Tumblr</label> 
<input type="text" name="threadz_theme_options[tumblr_url]" id="tumblr_url" size="40" 
value="<?php if (!empty($options['tumblr_url'])) echo $options['tumblr_url']; ?>" /></td></tr>

<tr><td><label>Email - Contact Us</label> 
<input type="text" name="threadz_theme_options[threadz_email]" id="threadz_email" size="40" 
value="<?php if (!empty($options['threadz_email'])) echo $options['threadz_email']; ?>" /></td></tr>
            </table>
<p>When adding your hyperlinks to social URL please <code>do not include the http://</code> or your link will not work.
<br>We have predetermined which social sites need http or https. You may however use the <code>www</code> prefix when needed.</p>
            <hr>
            <h3>Check box to remove credits from theme footer section.</h3>

         <?php  //if ( !empty( $options['threadz_credits'] )) 
             $checked = $options['threadz_credits'];
             $current = 1;
             
         ?>
                <table><tr><td><input name="threadz_theme_options[threadz_credits]" id="threadz_credits" type="checkbox" 
                value="1" <?php checked($checked, $current); ?> />
                <small>You do not have to leave footer credits but it would be nice.</small></td></tr>
                <tr><td><h3>If checkbox is checked, you may now: </h3><p>Replace the footer credit with your own text here</p>
                <input id="threadz_new_text" name="threadz_theme_options[threadz_new_text]" size="45" type="text" 
value="<?php if (!empty($options['threadz_new_text'])) echo $options['threadz_new_text']; ?>" /></td></tr>
                </table>
                    
                    <?php 
                    // submit options
                    submit_button(); 
                    ?>
        </form> 
    </section>       
</div>

<?php
}	
function threadz_validate_options( $input ) {
        global $threadz_theme_options;

        $options = get_option( 'threadz_theme_options', $threadz_theme_options );

        // We strip all tags from the text field, to avoid vulnerablilties like XSS
        $input['facebook_url']  = wp_filter_post_kses( $input['facebook_url'] );
        $input['twitter_url']   = wp_filter_post_kses( $input['twitter_url'] );
        $input['gplus_url']     = wp_filter_post_kses( $input['gplus_url'] );
        $input['linked_url']    = wp_filter_post_kses( $input['linked_url'] );
        $input['digg_url']      = wp_filter_post_kses( $input['digg_url'] );
        $input['stumble_url']   = wp_filter_post_kses( $input['stumble_url'] );
        $input['deli_url']      = wp_filter_post_kses( $input['deli_url'] );
        $input['youtube_url']   = wp_filter_post_kses( $input['youtube_url'] );
        $input['vimeo_url']     = wp_filter_post_kses( $input['vimeo_url'] );
        $input['pinterest_url'] = wp_filter_post_kses( $input['pinterest_url'] );
        $input['tumblr_url']    = wp_filter_post_kses( $input['tumblr_url'] );
        $input['threadz_email'] = sanitize_email( $input['threadz_email'] );
        $input['threadz_credits']  = ( isset( $input['threadz_credits'] ) ? true : false );
        $input['threadz_new_text'] = sanitize_text_field( $input['threadz_new_text'] );
     return $input;
    }

?>